This URL gets interface or sub interface details.
Resource URL
GET /sensor/<sensor_id>/interface/<interface_id or subinterface_id>
Request Parameters
| Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| sensor_id | Sensor Id | Number | Yes |
| interface_id or subinterface_id | Unique id of interface/sub interface | Number | Yes |
Response Parameters
Following fields are returned if the request parameters are correct, otherwise error details are returned.
Details of Interfaces:
| Field Name | Description | Data Type |
|---|---|---|
| InterfaceInfo | List of interfaces | Array |
Details of object in InterfaceInfo:
| Field Name | Description | Data Type |
|---|---|---|
| vidsId | Unique Id to identify interface/sub interface | Number |
| name | Name of the interface | String |
| Description | Interface description | String |
| InterfaceType | Traffic type | Object |
| IPSPolicyId | IPS policy applied on interface | Number |
| DomainId | ID of the domain to which the interface is added | Number |
| SubInterfaces | Sub interface details | Object |
| LastModTs | Last modified timestamp | String |
Details of InterfaceType:
| Field Name | Description | Data Type |
|---|---|---|
| Dedicated | Default traffic type. No segmentation of traffic | Object |
| Vlan | Segment of interface into multiple networks by VLAN tags | Object |
| Cidr | Enables segment of interface into multiple networks by CIDR addressing | Object |
| BridgeVlan | Segment of interface into multiple networks by bridge VLAN tags | Object |
Details of CIDR:
| Field Name | Description | Data Type |
|---|---|---|
| CidrId | List of CIDR IDs | Array |
Details of Vlan:
| Field Name | Description | Data Type |
|---|---|---|
| id | List of VLAN IDs | Array |
Details of Bridge Vlan:
| Field Name | Description | Data Type |
|---|---|---|
| bridgeVlanRangeList | List of bridge VLAN range | Array |
Details of SubInterfaces:
| Field Name | Description | Data Type |
|---|---|---|
| SubInterfaceInfo | List of sub interfaces | Array |
Details of object in SubInterfaceInfo:
| Field Name | Description | Data Type |
|---|---|---|
| name | Name of the interface | String |
| vidsId | Unique Id to identify subinterface | Number |
| InterfaceType | Traffic type. VLAN, CIDR, or BridgeVlan | String |
| IPSPolicyId | IPS policy applied on interface | Number |
| LastModTs | Last modified timestamp | String |
Example
Request
GET https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/105
Response
{
"InterfaceInfo": {
"vidsId": 115,
"name": "G3/7-G3/8",
"Description": "",
"Interfacetype": {
"Dedicated": null,
"Vlan": null,
"Cidr": null,
"BridgeVlan": {
"bridgeVlanRangeList": ["4094-4095",
"5-6",
"3-4",
"1-2"]
}
},
"IPSPolicyId": 19,
"DomainId": 0,
"SubInterfaces": {
"SubInterfaceInfo": []
},
"LastModTs": "2017-12-12 16:56:11"
}
}
Error Information
Following error codes are returned by this URL:
| S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
| 1 | 404 | 1106 | Invalid Sensor |
| 2 | 404 | 1107 | Invalid interface or sub-interface id |